Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 1010)
+++ src/mlx/gui/gui.py	(revision 951)
@@ -1365,8 +1366,8 @@
             self._flightsWindow.show_all()
         else:
-            dialog = Gtk.MessageDialog(parent = self.mainWindow,
-                                       type = Gtk.MessageType.ERROR,
+            dialog = gtk.MessageDialog(parent = self.mainWindow,
+                                       type = MESSAGETYPE_ERROR,
                                        message_format = xstr("acceptedflt_failed"))
-            dialog.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
+            dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
             dialog.set_title(WINDOW_TITLE_BASE)
             dialog.run()
@@ -1431,5 +1432,5 @@
         self._pirepEditor.setPIREP(pirep)
         self._pirepEditor.show_all()
-        if self._pirepEditor.run()==Gtk.ResponseType.OK:
+        if self._pirepEditor.run()==RESPONSETYPE_OK:
             self.beginBusy(xstr("pirepEdit_save_busy"))
             self.webHandler.sendPIREP(self._pirepUpdatedCallback, pirep,
@@ -1440,5 +1441,5 @@
     def _pirepUpdatedCallback(self, returned, result):
         """Callback for the PIREP updating result."""
-        GObject.idle_add(self._handlePIREPUpdated, returned, result)
+        gobject.idle_add(self._handlePIREPUpdated, returned, result)
 
     def _handlePIREPUpdated(self, returned, result):
@@ -1446,5 +1447,5 @@
         self.endBusy()
         secondaryMarkup = None
-        type = Gtk.MessageType.ERROR
+        type = MESSAGETYPE_ERROR
         if returned:
             if result.success:
@@ -1459,12 +1460,12 @@
                 secondaryMarkup = xstr("sendPIREP_unknown_sec")
         else:
-            print("PIREP sending failed", result)
+            print "PIREP sending failed", result
             messageFormat = xstr("sendPIREP_failed")
             secondaryMarkup = xstr("sendPIREP_failed_sec")
 
         if type is not None:
-            dialog = Gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+            dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
                                        type = type, message_format = messageFormat)
-            dialog.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
+            dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
             dialog.set_title(WINDOW_TITLE_BASE)
             if secondaryMarkup is not None:
@@ -1490,13 +1491,13 @@
         dialog.hide()
 
-        if result==Gtk.ResponseType.OK:
-            self._lastLoadedPIREP = dialog.get_filename()
+        if result==RESPONSETYPE_OK:
+            self._lastLoadedPIREP = text2unicode(dialog.get_filename())
 
             pirep = PIREP.load(self._lastLoadedPIREP)
             if pirep is None:
-                dialog = Gtk.MessageDialog(parent = self._mainWindow,
-                                           type = Gtk.MessageType.ERROR,
+                dialog = gtk.MessageDialog(parent = self._mainWindow,
+                                           type = MESSAGETYPE_ERROR,
                                            message_format = xstr("loadPIREP_failed"))
-                dialog.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
+                dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
                 dialog.set_title(WINDOW_TITLE_BASE)
                 dialog.format_secondary_markup(xstr("loadPIREP_failed_sec"))
@@ -1509,5 +1510,5 @@
                     result = dialog.run()
 
-                    if result==Gtk.ResponseType.OK:
+                    if result==RESPONSETYPE_OK:
                         self.sendPIREP(pirep)
                     elif result==1:
@@ -1523,20 +1524,20 @@
         If it is not created yet, it will be created."""
         if self._loadPIREPDialog is None:
-            dialog = Gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+            dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
                                            xstr("loadPIREP_browser_title"),
-                                           action = Gtk.FileChooserAction.OPEN,
-                                           buttons = (Gtk.STOCK_CANCEL,
-                                                      Gtk.ResponseType.CANCEL,
-                                                      Gtk.STOCK_OK, Gtk.ResponseType.OK),
+                                           action = FILE_CHOOSER_ACTION_OPEN,
+                                           buttons = (gtk.STOCK_CANCEL,
+                                                      RESPONSETYPE_CANCEL,
+                                                      gtk.STOCK_OK, RESPONSETYPE_OK),
                                            parent = self._mainWindow)
             dialog.set_modal(True)
 
 
-            filter = Gtk.FileFilter()
+            filter = gtk.FileFilter()
             filter.set_name(xstr("file_filter_pireps"))
             filter.add_pattern("*.pirep")
             dialog.add_filter(filter)
 
-            filter = Gtk.FileFilter()
+            filter = gtk.FileFilter()
             filter.set_name(xstr("file_filter_all"))
             filter.add_pattern("*.*")
@@ -1550,13 +1551,13 @@
         """Get a dialog displaying the main information of the flight from the
         PIREP and providing Cancel and Send buttons."""
-        dialog = Gtk.Dialog(title = WINDOW_TITLE_BASE + " - " +
+        dialog = gtk.Dialog(title = WINDOW_TITLE_BASE + " - " +
                             xstr("loadPIREP_send_title"),
                             parent = self._mainWindow,
-                            flags = Gtk.DialogFlags.MODAL)
+                            flags = DIALOG_MODAL)
 
         contentArea = dialog.get_content_area()
 
-        label = Gtk.Label(xstr("loadPIREP_send_help"))
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        label = gtk.Label(xstr("loadPIREP_send_help"))
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.set_padding(padding_top = 16, padding_bottom = 0,
@@ -1565,6 +1566,6 @@
         contentArea.pack_start(alignment, False, False, 8)
 
-        table = Gtk.Table(5, 2)
-        tableAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        table = gtk.Table(5, 2)
+        tableAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         tableAlignment.set_padding(padding_top = 0, padding_bottom = 32,
@@ -1577,59 +1578,59 @@
         bookedFlight = pirep.bookedFlight
 
-        label = Gtk.Label("<b>" + xstr("loadPIREP_send_flightno") + "</b>")
+        label = gtk.Label("<b>" + xstr("loadPIREP_send_flightno") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 0, 1)
 
-        label = Gtk.Label(bookedFlight.callsign)
-        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        label = gtk.Label(bookedFlight.callsign)
+        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 1, 2, 0, 1)
 
-        label = Gtk.Label("<b>" + xstr("loadPIREP_send_date") + "</b>")
+        label = gtk.Label("<b>" + xstr("loadPIREP_send_date") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 1, 2)
 
-        label = Gtk.Label(str(bookedFlight.departureTime.date()))
-        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        label = gtk.Label(str(bookedFlight.departureTime.date()))
+        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 1, 2, 1, 2)
 
-        label = Gtk.Label("<b>" + xstr("loadPIREP_send_from") + "</b>")
+        label = gtk.Label("<b>" + xstr("loadPIREP_send_from") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 2, 3)
 
-        label = Gtk.Label(bookedFlight.departureICAO)
-        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        label = gtk.Label(bookedFlight.departureICAO)
+        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 1, 2, 2, 3)
 
-        label = Gtk.Label("<b>" + xstr("loadPIREP_send_to") + "</b>")
+        label = gtk.Label("<b>" + xstr("loadPIREP_send_to") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 3, 4)
 
-        label = Gtk.Label(bookedFlight.arrivalICAO)
-        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        label = gtk.Label(bookedFlight.arrivalICAO)
+        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 1, 2, 3, 4)
 
-        label = Gtk.Label("<b>" + xstr("loadPIREP_send_rating") + "</b>")
+        label = gtk.Label("<b>" + xstr("loadPIREP_send_rating") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
@@ -1637,5 +1638,5 @@
 
         rating = pirep.rating
-        label = Gtk.Label()
+        label = gtk.Label()
         if rating<0:
             label.set_markup('<b><span foreground="red">NO GO</span></b>')
@@ -1643,12 +1644,12 @@
             label.set_text("%.1f %%" % (rating,))
 
-        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 1, 2, 4, 5)
 
-        dialog.add_button(xstr("button_cancel"), Gtk.ResponseType.REJECT)
+        dialog.add_button(xstr("button_cancel"), RESPONSETYPE_REJECT)
         dialog.add_button(xstr("viewPIREP"), 1)
-        dialog.add_button(xstr("sendPIREP"), Gtk.ResponseType.OK)
+        dialog.add_button(xstr("sendPIREP"), RESPONSETYPE_OK)
 
         return dialog
@@ -1662,5 +1663,5 @@
     def _pirepSentCallback(self, returned, result):
         """Callback for the PIREP sending result."""
-        GObject.idle_add(self._handlePIREPSent, returned, result)
+        gobject.idle_add(self._handlePIREPSent, returned, result)
 
     def _handlePIREPSent(self, returned, result):
@@ -1668,8 +1669,8 @@
         self.endBusy()
         secondaryMarkup = None
-        type = Gtk.MessageType.ERROR
+        type = MESSAGETYPE_ERROR
         if returned:
             if result.success:
-                type = Gtk.MessageType.INFO
+                type = MESSAGETYPE_INFO
                 messageFormat = xstr("sendPIREP_success")
                 secondaryMarkup = xstr("sendPIREP_success_sec")
@@ -1683,11 +1684,11 @@
                 secondaryMarkup = xstr("sendPIREP_unknown_sec")
         else:
-            print("PIREP sending failed", result)
+            print "PIREP sending failed", result
             messageFormat = xstr("sendPIREP_failed")
             secondaryMarkup = xstr("sendPIREP_failed_sec")
 
-        dialog = Gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+        dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
                                    type = type, message_format = messageFormat)
-        dialog.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
+        dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
         dialog.set_title(WINDOW_TITLE_BASE)
         if secondaryMarkup is not None:
@@ -1708,5 +1709,5 @@
 
         for (timestampString, text) in self._logger.lines:
-            description += str(formatFlightLogLine(timestampString, text))
+            description += unicode(formatFlightLogLine(timestampString, text))
 
         description += "\n\n" + ("=" * 40)
@@ -1729,5 +1730,5 @@
     def _bugReportSentCallback(self, returned, result):
         """Callback function for the bug report sending result."""
-        GObject.idle_add(self._handleBugReportSent, returned, result)
+        gobject.idle_add(self._handleBugReportSent, returned, result)
 
     def _handleBugReportSent(self, returned, result):
@@ -1735,8 +1736,8 @@
         self.endBusy()
         secondaryMarkup = None
-        type = Gtk.MessageType.ERROR
+        type = MESSAGETYPE_ERROR
         if returned:
             if result.success:
-                type = Gtk.MessageType.INFO
+                type = MESSAGETYPE_INFO
                 messageFormat = xstr("sendBugReport_success") % (result.ticketID,)
                 secondaryMarkup = xstr("sendBugReport_success_sec")
@@ -1748,7 +1749,7 @@
             secondaryMarkup = xstr("sendBugReport_error_sec")
 
-        dialog = Gtk.MessageDialog(parent = self._wizard.gui._bugReportDialog,
+        dialog = gtk.MessageDialog(parent = self._wizard.gui._bugReportDialog,
                                    type = type, message_format = messageFormat)
-        dialog.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
+        dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
         dialog.set_title(WINDOW_TITLE_BASE)
         if secondaryMarkup is not None:
@@ -1795,11 +1796,11 @@
             for index in hotkeys:
                 if index==self._pilotHotkeyIndex:
-                    print("gui.GUI._handleHotkeys: pilot hotkey pressed")
+                    print "gui.GUI._handleHotkeys: pilot hotkey pressed"
                     self._flight.pilotHotkeyPressed()
                 elif index==self._checklistHotkeyIndex:
-                    print("gui.GUI._handleHotkeys: checklist hotkey pressed")
+                    print "gui.GUI._handleHotkeys: checklist hotkey pressed"
                     self._flight.checklistHotkeyPressed()
                 else:
-                    print("gui.GUI._handleHotkeys: unhandled hotkey index:", index)
+                    print "gui.GUI._handleHotkeys: unhandled hotkey index:", index
 
     def _showManual(self, menuitem):
@@ -1822,15 +1823,15 @@
         If it does not exist yet, it will be created."""
         if self._aboutDialog is None:
-            dialog = Gtk.AboutDialog()
+            dialog = gtk.AboutDialog()
             dialog.set_transient_for(self._mainWindow)
             dialog.set_modal(True)
 
             logoPath = os.path.join(self._programDirectory, "logo.png")
-            logo = GdkPixbuf.Pixbuf.new_from_file(logoPath)
+            logo = pixbuf_new_from_file(logoPath)
             dialog.set_logo(logo)
 
             dialog.set_program_name(PROGRAM_NAME)
             dialog.set_version(const.VERSION)
-            dialog.set_copyright("(c) 2012 - 2019 by István Váradi")
+            dialog.set_copyright("(c) 2012 by István Váradi")
             dialog.set_website("http://mlx.varadiistvan.hu")
             dialog.set_website_label(xstr("about_website"))
@@ -1848,4 +1849,7 @@
             dialog.set_license(xstr("about_license"))
 
+            if not pygobject:
+                gtk.about_dialog_set_url_hook(self._showAboutURL, None)
+
             self._aboutDialog = dialog
 
@@ -1871,5 +1875,5 @@
             self._credentialsAvailable = False
 
-            GObject.idle_add(self._getCredentials)
+            gobject.idle_add(self._getCredentials)
 
             while not self._credentialsAvailable:
@@ -1899,5 +1903,5 @@
             response = dialog.run()
 
-            if response==Gtk.ResponseType.OK:
+            if response==RESPONSETYPE_OK:
                 self._credentialsUserName = dialog.userName
                 self._credentialsPassword = dialog.password
@@ -1926,6 +1930,6 @@
 
         if not self.config.pilotID and not self.config.password:
-            dialog = Gtk.MessageDialog(parent = self._mainWindow,
-                                       type = Gtk.MessageType.QUESTION,
+            dialog = gtk.MessageDialog(parent = self._mainWindow,
+                                       type = MESSAGETYPE_QUESTION,
                                        message_format = xstr("register_ask"))
 
Index: src/mlx/gui/info.py
===================================================================
--- src/mlx/gui/info.py	(revision 999)
+++ src/mlx/gui/info.py	(revision 846)
@@ -1,4 +1,4 @@
 
-from .common import *
+from common import *
 
 from mlx.gui.delaycodes import DelayCodeTable
@@ -21,5 +21,5 @@
 #------------------------------------------------------------------------------
 
-class FlightInfo(Gtk.VBox):
+class FlightInfo(gtk.VBox):
     """The flight info tab."""
     @staticmethod
@@ -31,19 +31,19 @@
         - the comment text editor."""
 
-        frame = Gtk.Frame(label = label)
+        frame = gtk.Frame(label = label)
         label = frame.get_label_widget()
         label.set_use_underline(True)
 
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
                               padding_left = 8, padding_right = 8)
 
-        scroller = Gtk.ScrolledWindow()
-        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
-        scroller.set_shadow_type(Gtk.ShadowType.IN)
-
-        comments = Gtk.TextView()
-        comments.set_wrap_mode(Gtk.WrapMode.WORD)
+        scroller = gtk.ScrolledWindow()
+        scroller.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
+        scroller.set_shadow_type(SHADOW_IN)
+
+        comments = gtk.TextView()
+        comments.set_wrap_mode(WRAP_WORD)
         scroller.add(comments)
         alignment.add(scroller)
@@ -60,7 +60,7 @@
         self._callbackObject = callbackObject
 
-        self._commentsAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        self._commentsAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                                 xscale = 1.0, yscale = 1.0)
-        commentsBox = Gtk.HBox()
+        commentsBox = gtk.HBox()
         commentsBox.set_homogeneous(True)
 
@@ -77,9 +77,9 @@
         self.pack_start(self._commentsAlignment, True, True, 8)
 
-        frame = Gtk.Frame(label = xstr("info_delay"))
+        frame = gtk.Frame(label = xstr("info_delay"))
         label = frame.get_label_widget()
         label.set_use_underline(True)
 
-        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
@@ -87,15 +87,14 @@
 
         self._delayCodeTable = table = DelayCodeTable(self)
-        self._delayWindow = scrolledWindow = Gtk.ScrolledWindow()
+        self._delayWindow = scrolledWindow = gtk.ScrolledWindow()
         scrolledWindow.add(table)
         scrolledWindow.set_size_request(-1, 185)
-        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
-                                  Gtk.PolicyType.AUTOMATIC)
-        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
+        scrolledWindow.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
+        scrolledWindow.set_shadow_type(SHADOW_IN)
 
         alignment.add(scrolledWindow)
         frame.add(alignment)
 
-        self._delayAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        self._delayAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                              xscale = 1.0, yscale = 1.0)
         self._delayAlignment.add(frame)
@@ -109,6 +108,6 @@
         """Get the comments."""
         buffer = self._comments.get_buffer()
-        return buffer.get_text(buffer.get_start_iter(),
-                               buffer.get_end_iter(), True)
+        return text2unicode(buffer.get_text(buffer.get_start_iter(),
+                                            buffer.get_end_iter(), True))
 
     @comments.setter
Index: src/mlx/gui/monitor.py
===================================================================
--- src/mlx/gui/monitor.py	(revision 1005)
+++ src/mlx/gui/monitor.py	(revision 765)
@@ -18,5 +18,5 @@
 #------------------------------------------------------------------------------
 
-class MonitorWindow(Gtk.Window):
+class MonitorWindow(gtk.Window):
     """The window for the data monitor."""
     def __init__(self, gui, iconDirectory):
@@ -32,10 +32,10 @@
                      lambda a, b: self._gui.hideMonitorWindow())
 
-        alignment = Gtk.Alignment(xscale = 1.0, yscale = 1.0)
+        alignment = gtk.Alignment(xscale = 1.0, yscale = 1.0)
 
         alignment.set_padding(padding_top = 4, padding_bottom = 10,
                               padding_left = 16, padding_right = 16)
 
-        table = Gtk.Table(rows = 9, columns = 14)
+        table = gtk.Table(rows = 9, columns = 14)
         table.set_homogeneous(False)
         table.set_row_spacings(4)
@@ -46,20 +46,20 @@
         table.attach(self._timestamp, 1, 2, 0, 1)
 
-        self._paused = Gtk.Label("PAUSED")
+        self._paused = gtk.Label("PAUSED")
         table.attach(self._paused, 2, 4, 0, 1)
 
-        self._trickMode = Gtk.Label("TRICKMODE")
+        self._trickMode = gtk.Label("TRICKMODE")
         table.attach(self._trickMode, 4, 6, 0, 1, xoptions = 0)
 
-        self._overspeed = Gtk.Label("OVERSPEED")
+        self._overspeed = gtk.Label("OVERSPEED")
         table.attach(self._overspeed, 6, 8, 0, 1)
 
-        self._stalled = Gtk.Label("STALLED")
+        self._stalled = gtk.Label("STALLED")
         table.attach(self._stalled, 8, 10, 0, 1)
 
-        self._onTheGround = Gtk.Label("ONTHEGROUND")
+        self._onTheGround = gtk.Label("ONTHEGROUND")
         table.attach(self._onTheGround, 10, 11, 0, 1)
 
-        self._antiIceOn = Gtk.Label("ANTI-ICE")
+        self._antiIceOn = gtk.Label("ANTI-ICE")
         table.attach(self._antiIceOn, 11, 12, 0, 1)
 
@@ -128,9 +128,9 @@
         table.attach(self._squawk, 7, 8, 3, 4)
 
-        (label, self._nav1) = self._createLabeledEntry("NAV1:", 6)
+        (label, self._nav1) = self._createLabeledEntry("NAV1:", 5)
         table.attach(label, 8, 9, 3, 4)
         table.attach(self._nav1, 9, 10, 3, 4)
 
-        (label, self._nav2) = self._createLabeledEntry("NAV2:", 6)
+        (label, self._nav2) = self._createLabeledEntry("NAV2:", 5)
         table.attach(label, 10, 11, 3, 4)
         table.attach(self._nav2, 11, 12, 3, 4)
@@ -148,29 +148,29 @@
         table.attach(self._reverser, 9, 12, 4, 5)
 
-        self._navLightsOn = Gtk.Label("NAV")
+        self._navLightsOn = gtk.Label("NAV")
         table.attach(self._navLightsOn, 0, 1, 5, 6)
 
-        self._antiCollisionLightsOn = Gtk.Label("ANTICOLLISION")
+        self._antiCollisionLightsOn = gtk.Label("ANTICOLLISION")
         table.attach(self._antiCollisionLightsOn, 1, 2, 5, 6)
 
-        self._strobeLightsOn = Gtk.Label("STROBE")
+        self._strobeLightsOn = gtk.Label("STROBE")
         table.attach(self._strobeLightsOn, 2, 3, 5, 6)
 
-        self._landingLightsOn = Gtk.Label("LANDING")
+        self._landingLightsOn = gtk.Label("LANDING")
         table.attach(self._landingLightsOn, 3, 4, 5, 6)
 
-        self._pitotHeatOn = Gtk.Label("PITOT HEAT")
+        self._pitotHeatOn = gtk.Label("PITOT HEAT")
         table.attach(self._pitotHeatOn, 4, 5, 5, 6)
 
-        self._parking = Gtk.Label("PARKING")
+        self._parking = gtk.Label("PARKING")
         table.attach(self._parking, 5, 6, 5, 6)
 
-        self._gearControlDown = Gtk.Label("GEAR LEVER DOWN")
+        self._gearControlDown = gtk.Label("GEAR LEVER DOWN")
         table.attach(self._gearControlDown, 6, 8, 5, 6)
 
-        self._gearsDown = Gtk.Label("GEARS DOWN")
+        self._gearsDown = gtk.Label("GEARS DOWN")
         table.attach(self._gearsDown, 8, 10, 5, 6)
 
-        self._spoilersArmed = Gtk.Label("SPOILERS ARMED")
+        self._spoilersArmed = gtk.Label("SPOILERS ARMED")
         table.attach(self._spoilersArmed, 10, 12, 5, 6)
 
@@ -195,8 +195,8 @@
         table.attach(self._elevatorTrim, 11, 12, 6, 7)
 
-        self._apMaster = Gtk.Label("AP MASTER")
+        self._apMaster = gtk.Label("AP MASTER")
         table.attach(self._apMaster, 0, 1, 7, 8)
 
-        self._apHeadingHold = Gtk.Label("AP HDG HOLD")
+        self._apHeadingHold = gtk.Label("AP HDG HOLD")
         table.attach(self._apHeadingHold, 1, 2, 7, 8)
 
@@ -205,8 +205,8 @@
         table.attach(self._apHeading, 3, 4, 7, 8)
 
-        self._xpdrC = Gtk.Label("XPDR C")
+        self._xpdrC = gtk.Label("XPDR C")
         table.attach(self._xpdrC, 4, 5, 7, 8)
 
-        self._apAltitudeHold = Gtk.Label("AP ALT HOLD")
+        self._apAltitudeHold = gtk.Label("AP ALT HOLD")
         table.attach(self._apAltitudeHold, 5, 6, 7, 8)
 
@@ -262,10 +262,10 @@
         - the entry."""
 
-        alignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5, xscale = 1.0)
+        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5, xscale = 1.0)
         alignment.set_padding(padding_top = 0, padding_bottom = 0,
                               padding_left = 0, padding_right = 16)
-        alignment.add(Gtk.Label(label))
-
-        entry = Gtk.Entry()
+        alignment.add(gtk.Label(label))
+
+        entry = gtk.Entry()
         entry.set_editable(False)
         entry.set_width_chars(width)
